@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900&display=swap');
@import url("https://use.typekit.net/rvc5pbn.css");

/*body*/

h1 {
    z-index: 1;
    font-family: "Roboto", sans-serif;
    font-size: 1.5em;

}

h2 {
    font-size: 1.5rem;
    font-family: "effra", sans-serif;
    font-weight: 400;
}

h3 {
    font-size: 2rem;
    font-family: "effra", sans-serif;
    font-weight: 700;
}

h3 {

    font-weight: 400;
}

body {
    font-family: "Roboto", sans-serif;
    margin: 0;
    overflow-x: hidden;
    background-color: #FDFCFC;
}



.title {
    z-index: 2;
    display: inline-flex;
    margin-left: 10px;
    position: fixed;
}





.header_title {
    height: 100vh;
    background: linear-gradient(180deg, #FECB55 0%, #ECECEC 53%, rgba(236, 236, 236, 0.00) 92%);
    display: flex;
    align-items: center;
    z-index: 2;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 0 auto;
}

.header_title h1 {
    align-content: center;
    width: 50%;

}

.header_title h2 {
    align-content: center;
    width: 50%;

    margin-top: 2%;
}




.svg-original-color {
    fill: url(#paint0_linear_3660_436);
}

/*content*/

.content {
    z-index: 1;
    position: relative;

}

#scrolly_content {
    width: 50%;
    margin: 0 auto;
}

#final-map {
    height: 80vh;
    pointer-events: none;
}


.wrapper_90 {
    width: 90%;
    margin: 0 auto;
    margin-top: 10%;
}

.wrapper_100 {
    overflow-x: hidden;

}

.title_chart {
    width: 600px;
    margin: 0 auto;
}



.source {
    color: #7d7d7d;
}


.mapboxgl-ctrl-top-right {
    visibility: hidden;

}

/*scrolly*/

#features {
    position: relative;
    display: flex;
    width: 100%;
    font-family: sans-serif;
    padding-top: 10px;
    padding-bottom: 10vh;
    display: flex;
    align-items: flex-start;

    transition: opacity 0.6s ease, visibility 0.6s ease;
    opacity: 1;
    visibility: visible;

}

#features.hidden {
    opacity: 0;
    visibility: hidden;
}

section:first-of-type,
section:last-of-type {
    opacity: 0 !important;
    pointer-events: none;
}

section {
    padding: 25px 50px;
    line-height: 25px;
    opacity: 0;
    font-size: 13px;
    background-color: #fafafa;
    margin-top: 100%;
    border-radius: 12px;
    box-shadow: 0 0 15px 5px rgba(0, 0, 0, 0.2);
    pointer-events: auto;
}

section p {
    color: black;
    font-size: 1.5em;
}

section h3 {
    color: black;
}

section.active {
    opacity: 1;
    z-index: 3;
    position: relative;
}

section:last-child {
    border-bottom: none;
    margin-bottom: 200px;
}

.map-container {

    overflow: hidden;

    position: -webkit-sticky;
    position: sticky;
    top: 0;
    width: 50%;
    height: 100vh;

}

#map-container {
    position: sticky;
    top: 0;
    /* width: 100%;
    height: 100vh; */
}

#map {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
    pointer-events: auto;
}

.mapboxgl-map {
    height: 100%;
}


.mapboxgl-popup-content {
    background: #222222;
    color: black;
    padding: 12px;
    border-radius: 10px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.3);
    /* border: 1px solid #FF8754; */
}

.mapboxgl-popup-anchor-top .mapboxgl-popup-tip {
    border-bottom-color: #222222;
}

.mapboxgl-popup-anchor-bottom .mapboxgl-popup-tip {
    border-top-color: #222222;
}

.mapboxgl-popup-anchor-left .mapboxgl-popup-tip {
    border-right-color: #222222;
}

.mapboxgl-popup-anchor-right .mapboxgl-popup-tip {
    border-left-color: #222222;
}

#btn-go-back {
    position: fixed;
    bottom: 10%;
    right: 20px;
    z-index: 9999;
    background: white;
    color: #7d7d7d;
    border: 0px solid #7d7d7d;
    padding: 12px 20px;
    border-radius: 25px;
    font-weight: bold;
    font-family: sans-serif;
    cursor: pointer;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
    opacity: 0;
    visibility: hidden;
    transform: translateY(20px);
    transition: all 0.3s ease;
}

#btn-go-back.visible {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

#btn-go-back:hover {
    background: white;
    transform: scale(1.05);
    color: #7d7d7d;
}

.hidden-go-back {
    opacity: 0 !important;
    pointer-events: none !important;
    transition: opacity 0.3s ease;
    /* Para que aparezca y desaparezca de forma suave */
}

#filter-button {
    position: fixed;
    top: 8%;
    z-index: 5;
    display: flex;
    justify-items: start;
    transition: opacity 0.5s ease, transform 0.5s ease, visibility 0.5s ease;
    padding: 1%;
}

.hidden-button {
    opacity: 0;
    visibility: hidden;
    transform: translateY(20px);
    pointer-events: none;
}

.hidden-controls {
    opacity: 0;
    visibility: hidden;

}

.visible-controls {
    opacity: 1;
    visibility: visible;
    display: flex;
    right: 1%;
    top: 8%;

    position: absolute;
}


.visible-button {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
    pointer-events: auto;
}


#filter-button button {
    position: relative;
    background: white;
    color: #4D45FF;
    border: 2px solid #4D45FF;
    padding: 12px 20px;
    border-radius: 50px;
    cursor: pointer;
    font-weight: bold;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.4);
    transition: all 0.2s ease;
    opacity: 1;
    margin: 5px;
    transition: opacity 0.3s ease;
}

#filter-button button.unlock {
    opacity: 0.35;
}

.filterButton1,
.filterButton2 {
    opacity: 1;
    transition: opacity 0.3s ease;
}

#filter-button button.unlock {
    opacity: 0.5;
}

#filter-button button:nth-child(2) {
    border: 2px solid #FF8754;
    color: #FF8754;

}

#filter-button button:nth-child(2):hover {
    background: #FF8754;
    border: 2px solid white;

    color: #1e1e1e;
    transform: scale(1.05);
}

#filter-button button.active {
    opacity: 0.5;
}

#filter-button button:hover {
    background: #4D45FF;
    border: 2px solid white;

    color: white;
    transform: scale(1.05);
}

/*scroll icon*/
.scroll-down-container {
    top: 50%;
    cursor: pointer;

    display: flex;
    z-index: 5;
    flex-direction: column;
    align-items: center;
    gap: 5px;
    width: 100%;
}


.mouse-icon {
    width: 26px;

    height: 42px;
    border: 2px solid #7d7d7d;
    border-radius: 15px;
    position: relative;
}

#mouse-hint {
    position: fixed;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 9999;
    transition: opacity 0.8s ease;
}

.wheel-mouse {
    width: 4px;
    height: 8px;
    background-color: #7d7d7d;
    border-radius: 2px;
    position: absolute;
    top: 6px;
    left: 50%;
    transform: translateX(-50%);

    animation: mouseAnimation 1.6s infinite ease-in-out;
}

span.text-scroll {
    font-size: 1rem;
    color: #7d7d7d;
    letter-spacing: 1px;
    text-transform: uppercase;
    font-family: sans-serif;
}


@keyframes mouseAnimation {
    0% {
        top: 6px;
        opacity: 1;
    }

    50% {
        top: 18px;
        opacity: 0.3;
    }

    100% {
        top: 6px;
        opacity: 1;
    }
}

#welcome-screen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(255, 255, 255, 0);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(1px);
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #1e1e1e;
    font-family: sans-serif;
    transition: opacity 0.8s ease, visibility 0.8s ease;
}

.welcome-content {
    text-align: center;
    max-width: 500px;
    padding: 20px;
}

.welcome-content h1 {
    font-size: 2.5rem;
    margin-bottom: 10px;
    color: #111111;
}

.welcome-content p {
    font-size: 1.1rem;
    color: #555555;
    margin-bottom: 40px;
}

.welcome-hidden {
    opacity: 0 !important;
    visibility: hidden !important;
    pointer-events: none !important;
}

.scroll-hidden {
    opacity: 0 !important;
    visibility: hidden !important;
    pointer-events: none !important;
}

article {
    position: relative;
    padding: 0;
    width: 50%;
    margin-left: 10%;
    margin: 0 auto;
    display: block
}

.scroll-btn {
    background: none;
    border: none;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
    color: inherit;
    font: inherit;
}

.scroll-arrow {
    font-size: 2rem;
    animation: bounce 1.5s infinite;
}

@keyframes bounce {

    0%,
    100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(8px);
    }
}

.hidden {
    opacity: 0 !important
}



.step {
    margin: 0 auto 50rem auto;
    z-index: 2;
    padding: 25px 50px;
}

.step p {
    text-align: left;
    padding: 1rem;
    background-color: rgba(68, 75, 85, 0.8);
    color: white;
    border: 1px solid black;
    border-radius: 12px;
    font-size: 1.5em;
}

.step:last-child {
    margin-bottom: 0
}

.is-active p {
    opacity: 1
}

#outro {
    height: 100vh
}

#main2 {
    margin-bottom: 60%
}

#main2 #article p {
    margin-top: 120%
}

#scrollama #scrolly_img {
    position: relative;
    display: block;
    background-color: #ffffff
}

#map-legend {
    position: fixed;
    bottom: 10%;
    left: 3%;
    z-index: 100;
    background: transparent;
    color: black;
    padding: 12px 15px;
    border-radius: 8px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.5);
    font-family: sans-serif;
    width: 280px;
    border: 1px solid rgba(255, 255, 255, 0.1);
    transition: opacity 0.5s ease, visibility 0.5s ease;
}

#map-legend h4 {
    margin: 0 0 10px 0;
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0.5px;
}

.bar-gradient {
    height: 12px;
    flex-grow: 1;
    border-radius: 4px;
    background: linear-gradient(to right, #E2E0FF, #4D45FF);
}

.fila-leyenda {
    display: flex;
    align-items: center;
    gap: 10px;
}

.text-legend {
    font-size: 0.8rem;
    color: #000000;
    font-weight: 400;
    white-space: nowrap;
}


#map-legend2 {
    position: fixed;
    bottom: 25%;
    left: 3%;
    z-index: 100;
    background: transparent;
    color: black;
    padding: 12px 15px;
    border-radius: 8px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.5);
    font-family: sans-serif;
    width: 280px;
    border: 1px solid rgba(255, 255, 255, 0.1);
    transition: opacity 0.5s ease, visibility 0.5s ease;
}

#map-legend2 h4 {
    margin: 0 0 10px 0;
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0.5px;
}

.bar-gradient2 {
    height: 12px;
    flex-grow: 1;
    border-radius: 4px;
    background: linear-gradient(to right, #FF875400, #FF8754);

}

.fila-leyenda2 {
    display: flex;
    align-items: center;
    gap: 10px;
}

.text-legend2 {
    font-size: 0.8rem;
    color: #000000;
    font-weight: 400;
    white-space: nowrap;
}


.legend-hidden {
    opacity: 0;
    visibility: hidden;
    transform: translateY(20px);
    pointer-events: none;
    transition: opacity 0.5s ease, transform 0.5s ease, visibility 0.5s ease;
}

.legend-visible {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
    pointer-events: auto;
    transition: opacity 0.5s ease, transform 0.5s ease, visibility 0.5s ease;
}

.legend {
    display: flex;
    align-items: center;
}

.legend p {
    margin-left: 10px;
    margin-right: 10px;



}

footer {
    background-color: #fbf5f0;
    display: flex;
}

footer p {
    opacity: .5;
    font-family: effra, "sans-serif";
    display: block;
    justify-content: center;
    padding-top: 10%;
    text-align: center;
    width: 100%;
    position: absolute;
}

footer img {
    display: block;
    width: 30%;
    position: relative;

}

/* scroll bar */

::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 5px;
}

::-webkit-scrollbar-thumb {
    background: #fafafa;
    border-radius: 5px;
}

::-webkit-scrollbar-thumb:hover {
    background: #4D45FF;
}

html {
    scrollbar-width: thin;
    scrollbar-color: #4D45FF #ffffff;
}

@media only screen and (max-width: 1200px) {}

@media only screen and (max-width: 900px) {}


@media only screen and (max-width: 700px) {
    #fly {
        height: auto;
    }

    .wrapper_80 {
        width: 90%;
        margin: 0 auto;
        margin-top: 5%;
    }

    .wrapper_80 p {
        margin-top: 5%;
    }



    .wrapper_90 {
        width: 90%;
        margin: 0 auto;
        margin-top: 10%;
    }

    #filter-button {
        flex-direction: column;
        margin-top: 10%;
    }

    #scrolly_page {
        overflow-y: auto;

        padding-bottom: 120px;
    }


    body #scrolly_page {
        height: 110vh;
        height: -webkit-fill-available;
    }

    .scroll-stop {
        overflow: hidden !important;
        height: 100vh !important;
    }

    body {
        padding-bottom: 20% !important;
    }

    #scrolly_content {
        width: 90%;

    }

    #scrolly_content p {
        font-size: 1rem;

        line-height: normal;

    }

    section {
        padding: 5px 15px;
    }

    #btn-go-back {
        right: 0px;
        bottom: 35%;
    }

    #locations {
        display: flex;
        width: 100%;
        margin-top: 10px;
        margin-left: 10px;

    }

    img {
        width: 15%;
        padding-top: 2%;
        margin-left: 10px;

    }


    #legend {
        width: 15%;
        height: auto;
        display: flex;
        position: relative;
    }

    .title_chart {
        width: 90%;
    }


    #article {
        width: 100%;
        margin-left: 0%;
    }

    .step {
        width: 90%;
        padding: 0px
    }
}


@media only screen and (max-width: 500px) {

    .header_title h1 {
        font-size: 3rem;
    }



}


@media only screen and (max-width: 400px) {

    .header_title h1 {
        font-size: 2rem;
    }

}
